Subject: Re: [PATCH iwl-next] ixgbe: call ixgbe_setup_fc() before fc_enable() after NVM update

From: Simon Horman <[email-masked]>
Date: Fri, 3 Apr 2026 14:38:54 +0100

On Fri, Mar 27, 2026 at 08:30:40AM +0100, Aleksandr Loktionov wrote:
> From: Radoslaw Tyl <[email-masked]>
> 
> During an NVM update the PHY reset clears the Technology Ability Field
> (IEEE 802.3 clause 37 register 7.10) back to hardware defaults.  When
> the driver subsequently calls only hw->mac.ops.fc_enable() the SRRCTL
> register is recalculated from the stale autonegotiated capability bits,
> which the MDD (Malicious Driver Detect) logic treats as an invalid
> change and halts traffic on the PF.
> 
> Fix by calling ixgbe_setup_fc() immediately before fc_enable() in
> ixgbe_watchdog_update_link() so that flow-control autoneg and the
> PHY registers are re-programmed in the correct order after any reset.
> 
> Signed-off-by: Radoslaw Tyl <[email-masked]>
> Signed-off-by: Aleksandr Loktionov <[email-masked]>

This feels like a fix that should have a Fixes tag and be routed
via iwl-net. And some explanation of what effect this has on the user.

Otherwise, please reword the commit message to make it clear this
is not a bug fix.

...